blob: 858b31a07bf71741b64e2699ab3d1dcc509d188f [file] [log] [blame]
# ChangeLog for app-eselect/eselect-php
# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
# (auto-generated from git log)
*eselect-php-0.7.1-r4 (09 Aug 2015)
*eselect-php-0.7.1-r3 (09 Aug 2015)
*eselect-php-0.7.1-r2 (09 Aug 2015)
*eselect-php-0.7.1-r1 (09 Aug 2015)
*eselect-php-0.7.1 (09 Aug 2015)
*eselect-php-0.6.2 (09 Aug 2015)
09 Aug 2015; Robin H. Johnson <robbat2@gentoo.org>
+eselect-php-0.6.2.ebuild, +eselect-php-0.7.1.ebuild,
+eselect-php-0.7.1-r1.ebuild, +eselect-php-0.7.1-r2.ebuild,
+eselect-php-0.7.1-r3.ebuild, +eselect-php-0.7.1-r4.ebuild,
+files/70_mod_php5.conf-apache2, +files/70_mod_php5.conf-apache2-r1,
+files/php-fpm-launcher, +files/php-fpm-r1.init, +files/php-fpm.conf,
+files/php-fpm.init, +files/php-fpm_at.service, +metadata.xml:
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration
tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this
project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo
developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve
cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014
work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on
the bikeshed
09 Aug 2015; Ulrich Müller <ulm@gentoo.org> files/php-fpm-r1.init,
files/php-fpm.init:
[QA] Remove executable bit from files, bug 550434.
24 Aug 2015; Justin Lecher <jlec@gentoo.org> eselect-php-0.6.2.ebuild,
eselect-php-0.7.1.ebuild, eselect-php-0.7.1-r1.ebuild,
eselect-php-0.7.1-r2.ebuild, eselect-php-0.7.1-r3.ebuild,
eselect-php-0.7.1-r4.ebuild, metadata.xml:
Use https by default
Convert all URLs for sites supporting encrypted connections from http to
https
Signed-off-by: Justin Lecher <jlec@gentoo.org>
24 Aug 2015; Mike Gilbert <floppym@gentoo.org> metadata.xml:
Revert DOCTYPE SYSTEM https changes in metadata.xml
repoman does not yet accept the https version.
This partially reverts eaaface92ee81f30a6ac66fe7acbcc42c00dc450.
Bug: https://bugs.gentoo.org/552720
11 Sep 2015; Manuel Rüger <mrueg@gentoo.org> -eselect-php-0.6.2.ebuild,
-eselect-php-0.7.1.ebuild, -eselect-php-0.7.1-r1.ebuild,
-eselect-php-0.7.1-r2.ebuild, -eselect-php-0.7.1-r3.ebuild,
-files/70_mod_php5.conf-apache2, -files/php-fpm.init:
Remove old
Package-Manager: portage-2.2.20.1
*eselect-php-0.7.1-r5 (19 Nov 2015)
19 Nov 2015; Michael Orlitzky <mjo@gentoo.org> +eselect-php-0.7.1-r5.ebuild,
+files/php-fpm.init-r2:
new revision removing php-fpm init dependencies.
This new revision exists mainly to pull in a new version of the
php-fpm init script. Some minor ebuild cleanup was also done.
The first fix to the init script is to remove "need net" (bug
514872). The php-fpm daemon runs on 127.0.0.1 by default and should
not bring up any other interfaces. Users are encouraged to use
rc_need="net.eth0" or similar if they move the daemon to another
interface.
The second init script change removes the webserver dependencies (bug
471018). The web servers require php-fpm, not the other way around.
Finally, some other cosmetic changes were made to the init script.
Gentoo-Bug: 471018
Gentoo-Bug: 514872
Package-Manager: portage-2.2.20.1
*eselect-php-0.7.1-r6 (23 Nov 2015)
23 Nov 2015; Michael Orlitzky <mjo@gentoo.org> -eselect-php-0.7.1-r5.ebuild,
+eselect-php-0.7.1-r6.ebuild, -files/php-fpm.init-r2,
+files/php-fpm.init-r3:
new revision fixing bugs 508712 and 545652.
Both the ebuild and the init script have been revisioned. The ebuild
was modified to depend on the apache2 mod_dir module (bug 545652), and
a configtest() command was added to the init script (bug 508712).
Thanks to Sebastian Pipping and Igor Filakhtov for the reports and fixes.
Gentoo-Bug: 508712
Gentoo-bug: 545652
Package-Manager: portage-2.2.20.1
*eselect-php-0.7.1-r7 (24 Nov 2015)
24 Nov 2015; Michael Orlitzky <mjo@gentoo.org> -eselect-php-0.7.1-r6.ebuild,
+eselect-php-0.7.1-r7.ebuild, -files/php-fpm.init-r3,
+files/php-fpm.init-r4:
new revision to test config before FPM start/reload.
Now that we have a configtest() command for the php-fpm daemon, we
should run it before attempting to reload the daemon. This prevents
the (working) daemon from crashing if the new config has a typo in it.
Performing the same check before start() avoids a five-second wait if
there is an error in the config.
Gentoo-Bug: 487642
Package-Manager: portage-2.2.20.1
*eselect-php-0.8.0 (07 Dec 2015)
07 Dec 2015; Michael Orlitzky <mjo@gentoo.org> +eselect-php-0.8.0.ebuild:
version bump with partial php-7.x support for apache2.
This new version adds the ability to switch the apache2 implementation
to php-7.x. This was missing earlier due to a library name change,
libphp5 -> libphp7. This partially addresses bug #552156, although
there is still some work to be done in the apache config file.
Upstream development has moved to a Gentoo-hosted git repository at
https://gitweb.gentoo.org/proj/eselect-php.git/
Gentoo-Bug: 552156
Package-Manager: portage-2.2.20.1
*eselect-php-0.8.1 (11 Dec 2015)
11 Dec 2015; Michael Orlitzky <mjo@gentoo.org> +eselect-php-0.8.1.ebuild,
+files/70_mod_php.conf:
version bump adding v0.8.1.
This is another attempt at php-7.x support in apache2. This new
version is already masked for testing, which is good because it
requires some configuration changes to apache. Upgraders should
read the elogs.
Gentoo-Bug: 552156
Package-Manager: portage-2.2.20.1
*eselect-php-0.8.2 (18 Dec 2015)
18 Dec 2015; Brian Evans <grknight@gentoo.org> +eselect-php-0.8.2.ebuild:
Version bump to add phpdbg support
Package-Manager: portage-2.2.26
*eselect-php-0.8.2-r1 (05 Jan 2016)
05 Jan 2016; Michael Orlitzky <mjo@gentoo.org> -eselect-php-0.8.2.ebuild,
+eselect-php-0.8.2-r1.ebuild, +files/70_mod_php5.backcompat.conf:
new revision with backwards-compatible apache config.
If the user has an unmodified 70_mod_php5.conf, the previous revision
will allow that file to be removed. This can break PHP support in
Apache before the user notices that he needs to run eselect-php and
update his Apache -DPHP5 line.
In this revision we supply the latest copy of 70_mod_php5.conf for
backwards compatibility. There is now a notice at the top of that file
informing users to upgrade their configuration.
Package-Manager: portage-2.2.24
05 Jan 2016; Michael Orlitzky <mjo@gentoo.org> -eselect-php-0.8.0.ebuild,
-eselect-php-0.8.1.ebuild:
remove old 0.8.x versions.
Package-Manager: portage-2.2.24
*eselect-php-0.8.3 (08 Jan 2016)
08 Jan 2016; Michael Orlitzky <mjo@gentoo.org> +eselect-php-0.8.3.ebuild:
add version 0.8.3.
This new version will emit a warning if the old apache module
configuration file (70_mod_php5.conf) is in place. This, along with
the backwards-compatibility shim in 0.8.2-r1, hopefully fully
addresses the breakage seen on upgrades.
Gentoo-Bug: 569042
Package-Manager: portage-2.2.24
*eselect-php-0.8.4 (09 Jan 2016)
09 Jan 2016; Michael Orlitzky <mjo@gentoo.org> -eselect-php-0.8.3.ebuild,
+eselect-php-0.8.4.ebuild:
version bump 0.8.3 -> 0.8.4.
Package-Manager: portage-2.2.24
*eselect-php-0.8.5 (09 Jan 2016)
09 Jan 2016; Michael Orlitzky <mjo@gentoo.org> -eselect-php-0.8.4.ebuild,
+eselect-php-0.8.5.ebuild:
replace v0.8.4 with v0.8.5.
Package-Manager: portage-2.2.24
*eselect-php-0.9.1 (22 Jan 2016)
22 Jan 2016; Michael Orlitzky <mjo@gentoo.org> +eselect-php-0.9.1.ebuild:
add version 0.9.1 (masked for testing).
Package-Manager: portage-2.2.26
24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Unify quoting in metadata.xml files for machine processing
Force unified quoting in all metadata.xml files since lxml does not
preserve original use of single and double quotes. Ensuring unified
quoting before the process allows distinguishing the GLEP 67-related
metadata.xml changes from unrelated quoting changes.
24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Replace all herds with appropriate projects (GLEP 67)
Replace all uses of herd with appropriate project maintainers, or no
maintainers in case of herds requested to be disbanded.
24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Set appropriate maintainer types in metadata.xml (GLEP 67)
09 Feb 2016; Tobias Klausmann <klausman@gentoo.org>
eselect-php-0.9.1.ebuild:
add alpha keyword
Gentoo-Bug: 573892
Package-Manager: portage-2.2.27
11 Feb 2016; Agostino Sarubbo <ago@gentoo.org> eselect-php-0.9.1.ebuild:
amd64 stable wrt bug #573892
Package-Manager: portage-2.2.26
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
12 Feb 2016; Jeroen Roovers <jer@gentoo.org> eselect-php-0.9.1.ebuild:
Stable for HPPA PPC64 (bug #573892).
Package-Manager: portage-2.2.27
RepoMan-Options: --ignore-arches
15 Mar 2016; Agostino Sarubbo <ago@gentoo.org> eselect-php-0.9.1.ebuild:
x86 stable wrt bug #577376
Package-Manager: portage-2.2.26
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
16 Mar 2016; Agostino Sarubbo <ago@gentoo.org> eselect-php-0.9.1.ebuild:
ppc stable wrt bug #577376
Package-Manager: portage-2.2.26
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
19 Mar 2016; Agostino Sarubbo <ago@gentoo.org> eselect-php-0.9.1.ebuild:
sparc stable wrt bug #577376
Package-Manager: portage-2.2.26
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
20 Mar 2016; Agostino Sarubbo <ago@gentoo.org> eselect-php-0.9.1.ebuild:
ia64 stable wrt bug #577376
Package-Manager: portage-2.2.26
RepoMan-Options: --include-arches="ia64"
Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
24 Mar 2016; Markus Meier <maekke@gentoo.org> eselect-php-0.9.1.ebuild:
arm stable, bug #577376
Package-Manager: portage-2.2.28
RepoMan-Options: --include-arches="arm"
18 May 2016; Austin English <wizardedit@gentoo.org> files/php-fpm-r1.init:
use #!/sbin/openrc-run instead of #!/sbin/runscript
*eselect-php-0.9.2 (26 Jul 2016)
26 Jul 2016; Michael Orlitzky <mjo@gentoo.org> +eselect-php-0.9.2.ebuild:
new version 0.9.2 using bundled init scripts.
This adds the current Gentoo init script (and its conf file) for
php-fpm to a "doc" directory in the tarball, to be installed with
newinitd and newconfd. In the process, bug 549172 was addressed by
adding a new conf paramater, PHP_FPM_UMASK.
Gentoo-Bug: 549172
Package-Manager: portage-2.2.28
21 Sep 2016; Tobias Klausmann <klausman@gentoo.org>
eselect-php-0.9.2.ebuild:
0.9.2-r0: add alpha keyword
Gentoo-Bug: 592968